# Recipes

Below are some useful patterns and starter scripts to get you familiar with aioredis's
interface.

## High-level Client (Commands)

```python
--8<-- "examples/commands.py"
```


## Transactions (Pipeline + Multi/Exec)

```python
--8<-- "examples/transaction.py"
```

## Pub/Sub

```python
--8<-- "examples/pool_pubsub.py"
```


## SCAN

```python
--8<-- "examples/scan.py"
```


## Redis Sentinel Client

```python
--8<-- "examples/sentinel.py"
```


## Low-level Connection Usage

```python
--8<-- "examples/connection.py"
```


## Connection Pooling

```python
--8<-- "examples/pool.py"
```


## Blocking Commands

```python
--8<-- "examples/blocking.py"
```


--8<-- "includes/glossary.md"
